package com.yonge.cooleshow.biz.dal.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Author: liweifan
 * @Data: 2022/3/18 14:56
 */
@ApiModel(value = "TeacherSubmitReq对象", description = "新增/修改老师对象")
public class TeacherSubmitReq implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "老师昵称", required = true)
    private String username;

    @NotBlank(message = "手机号不能为空")
    @ApiModelProperty(value = "手机号",required = true)
    private String phone;

    @NotBlank(message = "用户真实姓名不能为空")
    @ApiModelProperty(value = "用户真实姓名", required = true)
    private String realName;

    @NotBlank(message = "用户身份证号不能为空")
    @ApiModelProperty(value = "用户身份证号", required = true)
    private String idCardNo;

    @ApiModelProperty(value = "老师类型（支持多个，用逗号分隔） ENTRY 认证老师 MUSICIAN 音乐人 ")
    private String teacherType;

    @NotBlank(message = "专业技能不能为空")
    @ApiModelProperty(value = "专业技能（支持多个，用逗号分隔），对应乐器表id ", required = true)
    private String subjectId;


    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }


    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getIdCardNo() {
        return idCardNo;
    }

    public void setIdCardNo(String idCardNo) {
        this.idCardNo = idCardNo;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getTeacherType() {
        return teacherType;
    }

    public void setTeacherType(String teacherType) {
        this.teacherType = teacherType;
    }
}
